Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
eZXMLText Class Reference

The class eZXMLText handles XML text data type instances. More...

## Public Member Functions
| __construct ( $xmlData, $contentObjectAttribute)
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)

## Static Public Member Functions
static | inputHandler (&$xmlData, $type=false, $useAlias=true, $contentObjectAttribute=false)
static | outputHandler (&$xmlData, $type=false, $useAlias=true, $contentObjectAttribute=false)

## Public Attributes
| $XMLData
| Contains the XML data. More...
| $XMLInputHandler
| $XMLOutputHandler
| $XMLAttributeID
| $ContentObjectAttribute

## Protected Attributes
| $PDFOutputHandler

## Detailed Description

The class eZXMLText handles XML text data type instances.

Definition at line 18 of file ezxmltext.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZXMLText::__construct | ( |  | $xmlData,
|  |  | $contentObjectAttribute
| ) |  |

Constructor

Parameters

  string | $xmlData |
  eZContentObjectAttribute | $contentObjectAttribute |

Definition at line 26 of file ezxmltext.php.

## Member Function Documentation

## ◆ attribute()

eZXMLText::attribute | ( |  | $name | ) |

Definition at line 49 of file ezxmltext.php.

References $PDFOutputHandler, $XMLData, $XMLInputHandler, $XMLOutputHandler, inputHandler(), outputHandler(), and eZDebug\writeError().

## ◆ attributes()

eZXMLText::attributes | ( |  | ) |

Definition at line 35 of file ezxmltext.php.

Referenced by hasAttribute().

## ◆ hasAttribute()

eZXMLText::hasAttribute | ( |  | $name | ) |

Definition at line 44 of file ezxmltext.php.

References attributes().

## ◆ inputHandler()

static eZXMLText::inputHandler | ( | & | $xmlData,
|  |  | $type = `false`,
|  |  | $useAlias = `true`,
|  |  | $contentObjectAttribute = `false`
| ) |  |
| static

Definition at line 116 of file ezxmltext.php.

References eZExtension\getHandlerClass().

Referenced by eZXMLInputHandler\attribute(), eZXMLOutputHandler\attribute(), and attribute().

## ◆ outputHandler()

static eZXMLText::outputHandler | ( | & | $xmlData,
|  |  | $type = `false`,
|  |  | $useAlias = `true`,
|  |  | $contentObjectAttribute = `false`
| ) |  |
| static

Definition at line 140 of file ezxmltext.php.

References eZExtension\getHandlerClass().

Referenced by attribute().

## Member Data Documentation

## ◆ $ContentObjectAttribute

eZXMLText::$ContentObjectAttribute

Definition at line 170 of file ezxmltext.php.

## ◆ $PDFOutputHandler

eZXMLText::$PDFOutputHandler
| protected

Definition at line 168 of file ezxmltext.php.

Referenced by attribute().

## ◆ $XMLAttributeID

eZXMLText::$XMLAttributeID

Definition at line 169 of file ezxmltext.php.

## ◆ $XMLData

eZXMLText::$XMLData

Contains the XML data.

Definition at line 164 of file ezxmltext.php.

Referenced by attribute().

## ◆ $XMLInputHandler

eZXMLText::$XMLInputHandler

Definition at line 166 of file ezxmltext.php.

Referenced by attribute().

## ◆ $XMLOutputHandler

eZXMLText::$XMLOutputHandler

Definition at line 167 of file ezxmltext.php.

Referenced by attribute().

The documentation for this class was generated from the following file:

- ezxmltext.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.